iputils: initial import, version ss021109-try

This commit is contained in:
Matt Housh 2007-02-20 16:24:19 -06:00
parent 7d8633e497
commit 838714541f
4 changed files with 100 additions and 0 deletions

27
iputils/.footprint Normal file
View File

@ -0,0 +1,27 @@
drwxr-xr-x root/root bin/
-rwsr-xr-x root/root bin/ping
-rwsr-xr-x root/root bin/ping6
drwxr-xr-x root/root sbin/
-rwxr-xr-x root/root sbin/arping
drwxr-xr-x root/root usr/
drwxr-xr-x root/root usr/man/
drwxr-xr-x root/root usr/man/man8/
-rwxr-xr-x root/root usr/man/man8/arping.8.gz
-rwxr-xr-x root/root usr/man/man8/clockdiff.8.gz
-rwxr-xr-x root/root usr/man/man8/pg3.8.gz
-rwxr-xr-x root/root usr/man/man8/ping.8.gz
lrwxrwxrwx root/root usr/man/man8/ping6.8.gz -> ping.8.gz
-rwxr-xr-x root/root usr/man/man8/rarpd.8.gz
-rwxr-xr-x root/root usr/man/man8/rdisc.8.gz
-rwxr-xr-x root/root usr/man/man8/tftpd.8.gz
-rwxr-xr-x root/root usr/man/man8/tracepath.8.gz
-rwxr-xr-x root/root usr/man/man8/traceroute6.8.gz
drwxr-xr-x root/root usr/sbin/
-rwxr-xr-x root/root usr/sbin/clockdiff
-rwxr-xr-x root/root usr/sbin/ipg
-rwxr-xr-x root/root usr/sbin/rarpd
-rwxr-xr-x root/root usr/sbin/rdisc
-rwxr-xr-x root/root usr/sbin/tftpd
-rwxr-xr-x root/root usr/sbin/tracepath
-rwxr-xr-x root/root usr/sbin/tracepath6
-rwsr-xr-x root/root usr/sbin/traceroute6

2
iputils/.md5sum Normal file
View File

@ -0,0 +1,2 @@
ef1e642cbeba37c8ce62770175d9809d iputils-ipg-linux26.patch
dd10ef3d76480990a2174d2bb0daddaf iputils-ss021109-try.tar.bz2

30
iputils/Pkgfile Normal file
View File

@ -0,0 +1,30 @@
# Description: Basic networking applet
# URL: http://linux-net.osdl.org/index.php/Iputils
# Maintainer: Matt Housh, jaeger at morpheus dot net
name=iputils
version=ss021109-try
release=3
source=(ftp://ftp.inr.ac.ru/ip-routing/$name-$version.tar.bz2 \
$name-ipg-linux26.patch)
build() {
cd $name
patch -i $SRC/$name-ipg-linux26.patch ipg
sed -i -e "/^CCOPT=/s|-O2|$CFLAGS|" \
-e '/^CCOPT=/s| -g$||' \
-e 's/^\(all:\) check-kernel/\1/' \
Makefile
make
make man
mkdir -p $PKG/{{s,}bin,usr/{man/man8,sbin}}
install ping{,6} $PKG/bin/
install arping $PKG/sbin/
install tracepath{,6} traceroute6 clockdiff rarpd rdisc \
ipg tftpd $PKG/usr/sbin/
install doc/*.8 $PKG/usr/man/man8
rm -f $PKG/usr/man/man8/setkey*
ln -s ping.8 $PKG/usr/man/man8/ping6.8
chmod u+s $PKG/bin/ping{,6} $PKG/usr/sbin/traceroute6
}

View File

@ -0,0 +1,41 @@
--- iputils/ipg.orig 2005-01-03 22:47:26.314393976 -0500
+++ iputils/ipg 2005-01-03 22:49:09.686679000 -0500
@@ -1,21 +1,31 @@
-#! /bin/bash
+#!/bin/bash
-modprobe pg3
+modprobe pg3 >& /dev/null
+modprobe pktgen >& /dev/null
+
+PGDEV=/proc/net/pg
+if [[ ! -e ${PGDEV} ]] ; then
+ PGDEV=/proc/net/pktgen/pg0
+ if [[ ! -e ${PGDEV} ]] ; then
+ echo "Couldn't locate pg in /proc/net!"
+ exit 1
+ fi
+fi
function pgset() {
local result
- echo $1 > /proc/net/pg
+ echo $1 > ${PGDEV}
- result=`cat /proc/net/pg | fgrep "Result: OK:"`
+ result=`cat ${PGDEV} | fgrep "Result: OK:"`
if [ "$result" = "" ]; then
- cat /proc/net/pg | fgrep Result:
+ cat ${PGDEV} | fgrep Result:
fi
}
function pg() {
- echo inject > /proc/net/pg
- cat /proc/net/pg
+ echo inject > ${PGDEV}
+ cat ${PGDEV}
}
pgset "odev eth0"